import es, gamethread, playerlib, cfglib

info = es.AddonInfo()
info.version = "1.1 In Python"
info.author = "DreTaX"
info.name = "dretaxprotect"
info.url = "http://addons.eventscripts.com/addons/user/56071"
info.date = "2012.08.17"
es.ServerVar('DreTaXProTeCt', info.version, 'By DreTaX').makepublic()

config = cfglib.AddonCFG(es.getAddonPath("dretaxprotect") + "/spawnprotect.cfg")
 
config.text("  DreTaXProtect SETTINGS")
dretaxprotect_enable     = config.cvar("dretaxprotect_enable",     1, "Enable/disable DreTaX's Protection")
config.text("  DreTaXProtect's SpawnProtection Settings")

dretax_spawnenable   = config.cvar("dretax_spawnenable",   1, "Enable/disable dretax_spawn spawnprotection module.")
dretax_spawntime   = config.cvar("dretax_spawntime",   7, "Time in Seconds: Def: 7")
config.write()
 
def load():
	es.msg("[DreTaXs Python SpawnProtection Loaded]")
	es.mexec("../addons/eventscripts/dretaxprotect/spawnprotect.cfg")
	
def unload():
	es.msg("[DreTaXs Python SpawnProtection UnLoaded]")
	
def es_map_start(E):
	es.mexec("../addons/eventscripts/dretaxprotect/spawnprotect.cfg")

def player_death(E):	
	if dretax_spawnenable == 1:
		playerlib.getPlayer(E["userid"]).set('color', [255, 255, 255, 255])  

def player_spawn(E):               
    if dretaxprotect_enable == 1:    
		userid = int(E["userid"])
		if dretax_spawnenable == 1:
			jatekos = playerlib.getPlayer(userid)
			szin = jatekos.get('color')
			es.setplayerprop(userid, "CBasePlayer.m_lifeState", 0)	
			if es.getplayerteam(userid) == 3:
				jatekos.set('color', [0, 0, 255, 128])
			elif es.getplayerteam(userid) == 2:
				jatekos.set('color', [255, 0, 0, 128])
			gamethread.cancelDelayed("echo_%s" % userid)	
			gamethread.delayedname(int(dretax_spawntime), "echo_%s" % userid, reset, (userid, szin))

def reset(userid, szin):
	if dretax_spawnenable == 1:
		es.setplayerprop(userid, "CBasePlayer.m_lifeState", 512)
		playerlib.getPlayer(userid).set('color', szin)
